LOCKS_UNLINK_LOCK(9)

NAME
locks_unlink_lock - Delete a lock and then free it.

SYNOPSIS

void locks_unlink_lock(struct file_lock ** thisfl_p);

ARGUMENTS

thisfl_p
    pointer that points to the fl_next field of the previous inode->i_flock list entry

DESCRIPTION

Unlink a lock from all lists and free the namespace reference, but don't free it yet. Wake up processes that are blocked waiting for this lock and notify the FS that the lock has been cleared.

Must be called with the i_lock held!

COPYRIGHT